set(MODULE_NAME audio)

set(UNIT_TESTS
        ${MODULE_NAME}/unit/TestAudioWriter.cpp
)

if(UNIX)
set(INTEGETATION_TESTS
        ${MODULE_NAME}/integration/TestAlsaInterface.cpp
)
else()
set(INTEGETATION_TESTS
        ${MODULE_NAME}/integration/TestWasapiInterface.cpp
)
endif()

set(AUDIO_UNIT_TEST_FILES ${UNIT_TESTS} PARENT_SCOPE) 
set(AUDIO_INTEGRATION_TEST_FILES ${INTEGETATION_TESTS} PARENT_SCOPE) 
  
set(AUDIO_UNIT_TEST_DEPENDENCIES ${MODULE_NAME} PARENT_SCOPE)  
set(AUDIO_INTEGRATION_TEST_DEPENDENCIES ${MODULE_NAME} PARENT_SCOPE)